{% extends "smartwater/reset-base.html" %} 
{% block content %} 
{% if validlink %}
<h1 class="title">Ré-initialiser votre mot de passe</h1>
<div>Indiquez votre nouveau mot de passe ci-dessous, merci!</div>

{% if form.errors %}
<div class="error" role="alert">
  {% for key, value in form.errors.items %}
  <div><strong>{{ value }}</strong></div>
  {% endfor %}
</div>
{% endif %}

<form class="confirm" method="POST">
  {% csrf_token %}
  <div class="field">
    <label>
      <div> Nouveau mot de passe </div>
      <input
        type="password"
        name="new_password1"
        autocomplete="new-password"
        class="form-control"
        required
        id="id_new_password1"
        placeholder="Enter password"
      />
    </label>
  </div>

  <div class="field">
    <label>
      <div> Confirmation du mot de passe </div>
      <input
        type="password"
        name="new_password2"
        autocomplete="new-password"
        required
        id="id_new_password2"
        class="form-control"
        placeholder="Confirm password"
      />
    </label>
  </div>
  <button class="btn btn-1" type="submit" id="reset">Ré-initialiser</button>
</form>
{% else %}
<h1 class="title">Ce lien n'est pas valide</h1>
{% endif %} 
{% endblock %}
